From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1184143-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 0EF54138359
	for <garchives@archives.gentoo.org>; Thu,  2 Jul 2020 19:24:52 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id AB6C6E08FE;
	Thu,  2 Jul 2020 19:24:48 +0000 (UTC)
Received: from smtp.gentoo.org (mail.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 916B2E08FE
	for <gentoo-commits@lists.gentoo.org>; Thu,  2 Jul 2020 19:24:47 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 0D83D34EFF6
	for <gentoo-commits@lists.gentoo.org>; Thu,  2 Jul 2020 19:24:45 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id EF076233
	for <gentoo-commits@lists.gentoo.org>; Thu,  2 Jul 2020 19:24:42 +0000 (UTC)
From: "Kent Fredric" <kentnl@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Kent Fredric" <kentnl@gentoo.org>
Message-ID: <1593717726.60cce5e8560ceb6196275bef62c12aabe6b2b453.kentnl@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-perl/Curses/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-perl/Curses/Curses-1.360.0-r1.ebuild
X-VCS-Directories: dev-perl/Curses/
X-VCS-Committer: kentnl
X-VCS-Committer-Name: Kent Fredric
X-VCS-Revision: 60cce5e8560ceb6196275bef62c12aabe6b2b453
X-VCS-Branch: master
Date: Thu,  2 Jul 2020 19:24:42 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: fd0e555d-6a24-460e-b262-7063fec191bc
X-Archives-Hash: 3fb66bd9d9e40aea1c75aced874a42b2

commit:     60cce5e8560ceb6196275bef62c12aabe6b2b453
Author:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Thu Jul  2 19:17:41 2020 +0000
Commit:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Thu Jul  2 19:22:06 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=60cce5e8

dev-perl/Curses: -r bump for EAPI7 + CFLAGS love + fixes

- EAPI7
- Move env exports out of pkg_setup as they're not useful in binpkg's
- Simplify src_configure logic to not need function calls, employing
  more 'usex' instead of weirder conditional code.
- Ensure CFLAGS passed through to make/compiler

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>

 dev-perl/Curses/Curses-1.360.0-r1.ebuild | 47 ++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)

diff --git a/dev-perl/Curses/Curses-1.360.0-r1.ebuild b/dev-perl/Curses/Curses-1.360.0-r1.ebuild
new file mode 100644
index 00000000000..684145194e6
--- /dev/null
+++ b/dev-perl/Curses/Curses-1.360.0-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DIST_AUTHOR=GIRAFFED
+DIST_VERSION=1.36
+DIST_EXAMPLES=("demo" "demo2" "demo.form" "demo.menu" "demo.panel" "gdc")
+inherit perl-module
+
+DESCRIPTION="Curses interface modules for Perl"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~sparc-solaris ~x86-solaris"
+IUSE="+unicode test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=sys-libs/ncurses-5:0=[unicode?]
+	virtual/perl-Data-Dumper
+"
+DEPEND="
+	>=sys-libs/ncurses-5:0=[unicode?]
+"
+BDEPEND="${RDEPEND}
+	virtual/perl-ExtUtils-MakeMaker
+	test? ( virtual/perl-Test-Simple )
+"
+
+src_configure() {
+	myconf="${myconf} FORMS PANELS MENUS"
+	mydoc=HISTORY
+	export CURSES_LIBTYPE="$(usex unicode ncursesw ncurses)"
+	local nc_tool="${CURSES_LIBTYPE}$(has_version 'sys-libs/ncurses:0/6' && echo 6 || echo 5)-config"
+	export CURSES_LDFLAGS=$( ${nc_tool} --libs )
+	export CURSES_CFLAGS=$( ${nc_tool} --cflags )
+	perl-module_src_configure
+	if ! use unicode ; then
+		sed -i 's:<form.h>:"/usr/include/form.h":' "${S}"/c-config.h || die
+	fi
+}
+src_compile() {
+	mymake=(
+		"OPTIMIZE=${CFLAGS}"
+	)
+	perl-module_src_compile
+}